
import request from "../../request";
import { AxiosPromise } from "axios";
import { ListRequest,ListReply,GetRequest,GetReply,AddRequest,AddReply,ModifyRequest,ModifyReply,DeleteRequest,DeleteReply,RemarkRequest,RemarkReply } from "./types";




export function List(data: ListRequest): AxiosPromise<ListReply> {
    return request({
      url: "/feedback.Method.List",
      method: "post",
      data: data,
	});
}



export function Get(data: GetRequest): AxiosPromise<GetReply> {
    return request({
      url: "/feedback.Method.Get",
      method: "post",
      data: data,
	});
}



export function Add(data: AddRequest): AxiosPromise<AddReply> {
    return request({
      url: "/feedback.Method.Add",
      method: "post",
      data: data,
	});
}



export function Modify(data: ModifyRequest): AxiosPromise<ModifyReply> {
    return request({
      url: "/feedback.Method.Modify",
      method: "post",
      data: data,
	});
}



export function Delete(data: DeleteRequest): AxiosPromise<DeleteReply> {
    return request({
      url: "/feedback.Method.Delete",
      method: "post",
      data: data,
	});
}



export function Remark(data: RemarkRequest): AxiosPromise<RemarkReply> {
    return request({
      url: "/feedback.Method.Remark",
      method: "post",
      data: data,
	});
}
