
import request from "../../request";
import { AxiosPromise } from "axios";
import { VerifyRequest,StatusReply,ForgetResetRequest,ForgetReply } from "./types";



 //  验证手机号和验证码 
export function Verify(data: VerifyRequest): AxiosPromise<StatusReply> {
    return request({
      url: "/passport.Forget.Verify",
      method: "post",
      data: data,
	});
}


 //  重罢密码 
export function Reset(data: ForgetResetRequest): AxiosPromise<ForgetReply> {
    return request({
      url: "/passport.Forget.Reset",
      method: "post",
      data: data,
	});
}
