
import request from "../../request";
import { AxiosPromise } from "axios";
import { RegisterRequest,RegisterReply } from "./types";



 //  帐号密码注册 
export function Pwd(data: RegisterRequest): AxiosPromise<RegisterReply> {
    return request({
      url: "/passport.Register.Pwd",
      method: "post",
      data: data,
	});
}


 //  手机验证码注册 
export function Code(data: RegisterRequest): AxiosPromise<RegisterReply> {
    return request({
      url: "/passport.Register.Code",
      method: "post",
      data: data,
	});
}


 //  Wechat注册 
export function WeChat(data: RegisterRequest): AxiosPromise<RegisterReply> {
    return request({
      url: "/passport.Register.WeChat",
      method: "post",
      data: data,
	});
}


 //  AppleID注册 
export function AppleID(data: RegisterRequest): AxiosPromise<RegisterReply> {
    return request({
      url: "/passport.Register.AppleID",
      method: "post",
      data: data,
	});
}
