
import request from "../../request";
import { AxiosPromise } from "axios";
import { RoleRequest,RoleReply,RoleItem,Identity,Empty } from "./types";




export function List(data: RoleRequest): AxiosPromise<RoleReply> {
    return request({
      url: "/company.Role.List",
      method: "post",
      data: data,
	});
}



export function Modify(data: RoleItem): AxiosPromise<Identity> {
    return request({
      url: "/company.Role.Modify",
      method: "post",
      data: data,
	});
}



export function Delete(data: Identity): AxiosPromise<Empty> {
    return request({
      url: "/company.Role.Delete",
      method: "post",
      data: data,
	});
}
