
import request from "../../request";
import { AxiosPromise } from "axios";
import { MailSendRequest,MailSendResponse } from "./types";




export function Send(data: MailSendRequest): AxiosPromise<MailSendResponse> {
    return request({
      url: "/notify.Mail.Send",
      method: "post",
      data: data,
	});
}
