
import request from "../../request";
import { AxiosPromise } from "axios";
import { SmsSendRequest,SmsSendResponse,SmsVerifyRequest,PassResponse } from "./types";




export function Send(data: SmsSendRequest): AxiosPromise<SmsSendResponse> {
    return request({
      url: "/notify.Sms.Send",
      method: "post",
      data: data,
	});
}



export function Verify(data: SmsVerifyRequest): AxiosPromise<PassResponse> {
    return request({
      url: "/notify.Sms.Verify",
      method: "post",
      data: data,
	});
}
