
 //  sms module 
export interface MailSendRequest {
    sign_name?: string;  //  必传项 
}


export interface MailSendResponse {
    request_id?: string; 
}

 //  sms module 
export interface SmsSendRequest {
    sign_name?: string;  //  必传项 
    template_code?: string;  //  必传项 
    phone?: string;  //  必传项 
    paramters?: { [key in string]: any}; 
    generate_code?: boolean;  //  验证码相关 是否生成验证码 
    expire_interval?: number;  // 验证码缓存时间,单位:分钟,仅generate_code为true时会缓存,默认5分钟 
    code_width?: number;  // 验证码长度,默认 4 
    code_key?: string;  // template_code 模板中验证码的标识,默认code 
    has_black_list_filter?: boolean;  //  是否黑单过滤,默认不过滤 
    wihout_limit?: boolean;  // 忽略每天短信条数上线限制,默认不忽略 
}


export interface SmsSendResponse {
    biz_id?: string;  //  string request_id = 1; 
}


export interface SmsVerifyRequest {
    phone?: string;  //  string request_id = 1; 
    code?: string; 
}


export interface PassResponse {
    pass?: boolean; 
}