
import request from "../../request";
import { AxiosPromise } from "axios";
import { PlanItem,StatusReply,FetchRequest,FetchReply,CancelPlanRequest } from "./types";



 //  创建采购计划 
export function CreatePlan(data: PlanItem): AxiosPromise<StatusReply> {
    return request({
      url: "/order.Purch.CreatePlan",
      method: "post",
      data: data,
	});
}


 //  修改采购计划 
export function ModifyPlan(data: PlanItem): AxiosPromise<StatusReply> {
    return request({
      url: "/order.Purch.ModifyPlan",
      method: "post",
      data: data,
	});
}


 //  采购计划列表 
export function FetchPlan(data: FetchRequest): AxiosPromise<FetchReply> {
    return request({
      url: "/order.Purch.FetchPlan",
      method: "post",
      data: data,
	});
}


 //  作废采购计划 
export function CancelPlan(data: CancelPlanRequest): AxiosPromise<StatusReply> {
    return request({
      url: "/order.Purch.CancelPlan",
      method: "post",
      data: data,
	});
}
